# Class Point3fi

java.lang.Object
javajs.util.T3
javajs.util.P3
org.jmol.util.Point3fi

All Implemented Interfaces:
  `Serializable, Cloneable, JSONEncodable`

Direct Known Subclasses:
  `Atom`

public class Point3fi extends P3 implements Cloneable
The Point3fi class allows storage of critical information involving an atom, picked bond, or measurement point, including: xyz position screen position screen radius (-1 for a simple point) index (for atoms or for an associated bond that has be picked) associated modelIndex (for measurement points) associated symmetry operation (generating equivalent atoms in UnitCell.java)

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`i`
index in full collection
`short`
`mi`
model index -- may be to a trajectory
`int`
`sD`
screen diameter
`int`
`sX`
screen X
`int`
`sY`
screen Y
`int`
`sZ`
screen Z

### Fields inherited from class T3

`x, y, z`

## Constructor Summary

Constructors
Constructor
Description
`Point3fi()`

## Method Summary

Modifier and Type
Method
Description
`Point3fi`
`copy()`
`static Point3fi`
`new4(float x, float y, float z, int i)`
`static Point3fi`
`newPF(T3 p, int i)`
`void`
`setPF(Point3fi p)`

### Methods inherited from class P3

`getUnlikely, new3, newA, newP`

### Methods inherited from class T3

`add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, putP, scale, scaleAdd2, scaleT, set, setA, setP, setT, sub, sub2, toJSON, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### mi

public short mi
model index -- may be to a trajectory

### i

public int i
index in full collection

### sX

public int sX
screen X

### sY

public int sY
screen Y

### sZ

public int sZ
screen Z

### sD

public int sD
screen diameter

## Constructor Details

### Point3fi

public Point3fi()

## Method Details

### newPF

public static Point3fi newPF(T3 p, int i)

### new4

public static Point3fi new4(float x, float y, float z, int i)

### copy

public Point3fi copy()

### setPF

public void setPF(Point3fi p)